@import url("reset.css");
@import url("fonts.css");

* { font-family: "IBM Plex Sans", sans-serif; }

body
{
    font-family: "IBM Plex Sans", sans-serif;
}

body > header
{
    padding: 3em;
    background-color: #2574ad;
    color: #ffffff;
}

body > header h1
{
    text-align: center;
    font-weight: 500;
}

@media(min-width: 1280px)
{
    body > header h1
    {
        font-size: 4em;
    }
}

@media(max-width: 1280px)
{
    body > header h1
    {
        font-size: 2em;
    }
}


h2
{
    font-size: 1.5em;
    line-height: 1.5em;
    margin-bottom: 1em;
    font-weight: 600;
}

main
{
    padding: 5em;
}

article
{
    display: block;
    margin-bottom: 4em;
}

@media(min-width:700px)
{
    ul.album_actions li
    {
        display: inline-block;
        font-size: 1.1em;
    }
}

ul.album_actions li
{
    text-decoration: none;
    background-color: #dcdcdc;
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
    border-color: #cccccc;
    margin-bottom: 1em;
    transition: background-color 0.5s;
}

ul.album_actions li a
{
    display: inline-block;
    text-decoration: none;
    color: #000000;
    padding: 0.8em;
    font-size: 1.3em;
    line-height: 1.3em;
}

ul.album_actions li:hover
{
    background-color: #fefefe;
}

@media(min-width: 1600px)
{
    section#albums, aside
    {
        display: inline-block;
        vertical-align: top;
    }

    aside
    {
        margin-left: 7em;
    }

    aside figure img
    {
        display: block;
        width: 800px;
    }
}

@media(max-width: 1600px)
{
    aside figure, aside figure img
    {
        display: block;
        width: 100%;
    }
}

footer
{
    margin-top: 3em;
    text-align: center;
    font-size: 0.8em;
}
